package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地区受攻击对象 tc_attack
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@Data
public class TcAttack extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 地区名称
     */
    @Excel(name = "地区名称")
    @ApiModelProperty(value = "地区名称")
    private String name;

    /**
     * 攻击次数
     */
    @Excel(name = "攻击次数")
    @ApiModelProperty(value = "攻击次数")
    private Long attackCount;

}
